Skip to Content

create apikey - CreateUMInferAPIKey

Overview

create apikey

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is CreateUMInferAPIKey.Yes
PublicKeystringThe user’s public key can be obtained from ConsoleYes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
ProjectIdstringProject ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the GetProjectList APIYes
Namestringapikey NameYes
ModelverseDisabledintIs modelverse available? 0: Enabled 1: DisabledNo
SandBoxDisabledintIs the sandbox available? 0: Enabled 1: DisabledNo
DailyLimitAmountstringDaily limit, with the unit depending on the user’s channel. For channel 126, the unit is USDNo
MonthlyLimitAmountstringMonthly limit, with the unit depending on the user’s channel. For channel 126, the unit is USDNo
GrantAllModelsbooleanAll model access switches: when enabled, they are not controlled by the GrantedModels parameter; when disabled, only models added in GrantedModels can be accessedNo
GrantedModelsstringThe authorization model is represented in an array format. When GrantAllModels is set to false, the current key can only access models in the array. For example: [“deepseek-ai/DeepSeek-V3.2-Think”]No
IPWhiteliststringIP whitelist, multiple sets of IPs separated by newlines. Supports IPv4 and network segments. Enter and press Enter to take effect. Up to 100 entries are allowed. Example:
192.168.1.1
192.168.1.10-192.168.1.100
192.168.1.10/24
No

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataAPIKeyapikeyNo
TotalCountintTotalCountNo

Data Model

APIKey

Field NameTypeDescription InformationRequired
IPWhiteliststringIP whitelist, multiple sets of IPs separated by newlines. Supports IPv4 and network segments. Enter and press Enter to take effect. Up to 100 entries are allowed. Example: 192.168.1.1 192.168.1.10-192.168.1.100 192.168.1.10/24Yes
KeyIdstringResource IDNo
NamestringNameNo
ChannelIdintchannel idNo
TopOrganizationIdintcompany idNo
OrganizationIdintorganization idNo
StatusintStatus, 1 NormalNo
CreateTimeintCreation TimeNo
KeystringKey ValueNo
ExpireTimeintUnix timestamp of expiration time, -1 means no expirationNo
ModelverseDisabledintIs modelverse available? 0: Enabled 1: DisabledNo
SandBoxDisabledintIs the sandbox available? 0: Enabled 1: DisabledNo
DailyLimitAmountstringDaily limit, with the unit depending on the user’s channel. For channel 126, the unit is USDNo
MonthlyLimitAmountstringMonthly limit, with the unit depending on the user’s channel. For channel 126, the unit is USDNo
GrantAllModelsbooleanAll model access switches: when enabled, they are not controlled by the GrantedModels parameter; when disabled, only models added in GrantedModels can be accessedNo
GrantedModelsarray[string]Authorized models, separated by commas, ‘all’ indicates all models have permissionNo

Example

Request Example

https://api.starcom.co.id/?Action=CreateUMInferAPIKey &Name=ZBipIhpf &ProjectId=ljHegiFu &ModelverseDisabled=SnDXIFbJ &SandBoxDisabled=XzXxkYAV &DailyLimitAmount=PpNpafNH &MonthlyLimitAmount=zEOmxHqX &GrantAllModels=NfSGzRqO &GrantedModels=dexajLHC &IPWhitelist=MNehDXUN

Response Example

{ "Action": "CreateUMInferAPIKeyResponse", "Data": "SaaAxTCi", "RetCode": 0, "TotalCount": 1 }